select t1.createdate, t1.fsaler2id, t2.fname as fsaler2, t2.fphonenumber
from tpromoters t1
         inner join tenterprise_users t2 on t1.fsaler2id = t2.tenterprise_userid
where t1.fstatus = 1
  and t1.siteid =$siteid$
  and t1.tagentsid=$tagentsid$ and t1.fsaler1id=$userid$
order by t1.fsaler1id, t1.createdate